Subject: Re: cygwin qt port- do I have to apply patches or something?
From: mike marchywka <[email-masked]>
To: [email-masked]
Date: Thu, 1 Apr 2010 09:08:34 -0400
List-Id: <cygwin.cygwin.com>

On 3/31/10, Larry Hall (Cygwin) <[email-masked]> wrote:
> On 3/31/2010 9:54 PM, mike marchywka wrote:
>> On 3/31/10, Larry Hall (Cygwin)<reply-to-list-only-lh SYM cygwin SYM com>
>> wrote:
>                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> <http://cygwin.com/acronyms/#PCYMTNQREAIYR>.  No reason to feed the
> spammers.
> Thanks.
>
>>> On 3/31/2010 7:48 PM, mike marchywka wrote:
>>>> I went ahead and applied the patches and configure at least
>>>> seems to run. I just assumed the patch files were for reference,
>>>> shouldn't the source be patched when downloaded or is there
>>>> a reason for this ( or do I have a larger fundamental problem and
>>>> applying these patches just lets configure run longer)?
>>>
>>> When patches are included you can assume:
>>>
>>>     1. The original pristine sources from upstream are included.
>>>
>>>     2. Any patches provided need to be applied to the pristine
>>>        source to get things building for Cygwin.
>>>
>> ok that's fine it seems to be building but I ran into the function pointer
>> problem that I mentioned in other build and none of the patches
>> apparently fixed it so I just changed it.
>
> Of course, if there's a cygport script there, you shouldn't need to worry
> about any of this.  Just run it.  See:
>
> <http://cygwin.com/setup.html#package_contents>

Thanks, it seems to be installing now. I think I tried to run cygport script
but it didn't seem to do anything and it wasn't immediately obvious
what to do. In any case, applying patches one by one as each build
died seems to have gotten it past that, not sure how well it will run but
that is another issue. The function pointer thing still confuses me.

Essentially   x(NULL,NULL) is written to invoke whatever x points
to. The compile complains however that "x_extra_stuff" is not defined
and indeed "_extra_stuff"  doesn't show up anywhere in project. Rewriting
the line as (*x)(NULL,NULL) got it past the compiler.

>
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 216 Dalton Rd.                          (508) 893-9889 - FAX
> Holliston, MA 01746
>
> _____________________________________________________________________
>
> A: Yes.
>> Q: Are you sure?
>>> A: Because it reverses the logical flow of conversation.
>>>> Q: Why is top posting annoying in email?
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

-- 
[email-masked]
note new address 2009-12-16:
Mike Marchywka
1975 Village Round
Marietta GA 30064
415-264-8477 (w)<- use this
404-788-1216 (C)<- leave message
989-348-4796 (P)<- emergency only
[email-masked]
Note: If I am asking for free stuff, I normally use for hobby/non-profit
information but may use in investment forums, public and private.
Please indicate any concerns if applicable.
Note: hotmail is censoring incoming mail using random criteria beyond
my control and often hangs my browser
but all my subscriptions are here..., try also [email-masked]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple